Skip to main content
reservations

Get a reservation

Returns a single reservation with its status and companies.

GET
/v1/reservations/{id}
beam-api-keystringheaderrequired
idintegerrequired
Required range: 0 < x

Response

application/json

The reservation

companyobject[]required

Companies linked to the reservation

createdAtstringrequired

Creation timestamp (ISO 8601)

createdByIdstring | nullrequired

Id of the user who created the reservation

customFieldsobjectrequired

Custom field values of the reservation, keyed by custom field id

defaultTimezonestring | nullrequired

Default IANA timezone of the reservation

descriptionstring | nullrequired

Reservation description

endDatestringrequired

End date and time (ISO 8601)

idintegerrequired

Reservation id

seqIdintegerrequired

Sequential reservation number within the studio

startDatestringrequired

Start date and time (ISO 8601)

statusobjectrequired

Current status of the reservation

statusIdstringrequired

Id of the reservation status

studioIdstringrequired

Id of the studio that owns the reservation

titlestringrequired

Reservation title

updatedAtstringrequired

Last update timestamp (ISO 8601)

urlstringrequired

Link to the reservation in the Beam web app